---
names:
  full: "AWS MQ ActiveMQ Broker Audit Logging is not enabled"
  contextual: "ActiveMQ Broker Audit Logging is not enabled"
description: >
  Ensure that Amazon MQ brokers have audit logging enabled. Audit logs provide a 
  record of management actions performed on the broker via the API or the web console, 
  which is essential for security auditing and tracking configuration changes.
type: "COMPLIANCE_POLICY"
categories:
  - "SECURITY"
frameworkMappings:
  - "/frameworks/cloudaware/logging-and-monitoring/logging-and-monitoring-configuration"
  - "/frameworks/aws-fsbp-v1.0.0/mq/02"
similarPolicies:
  awsSecurityHub:
    - name: "[MQ.2] ActiveMQ brokers should stream audit logs to CloudWatch"
      url: "https://docs.aws.amazon.com/securityhub/latest/userguide/mq-controls.html#mq-2"